cURL
curl --request POST \ --url https://statsigapi.net/console/v1/experiments/{id}/overrides \ --header 'Content-Type: application/json' \ --header 'STATSIG-API-KEY: <api-key>' \ --data ' { "overrides": [ { "type": "gate", "id": "<string>", "groupID": "<string>", "environment": "<string>" } ], "userIDOverrides": [ { "groupID": "<string>", "ids": [ "<string>" ], "environment": "<string>", "unitType": "<string>" } ] } '
{ "overrides": [ { "type": "segment", "id": "a_segment", "groupID": "Control" }, { "type": "gate", "id": "a_gate", "groupID": "Test" } ], "userIDOverrides": [ { "groupID": "Control", "ids": [ "updated_control_id_list" ] }, { "groupID": "Test", "ids": [ "updated_test_id_list" ] } ] }
Documentation IndexFetch the complete documentation index at: https://statsig-4b2ff144-mintlify-seo-metadata-1777910999.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://statsig-4b2ff144-mintlify-seo-metadata-1777910999.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
id
Array of experiment overrides, each specifying type, ID, and group ID.
1000
Show child attributes
Array of user ID overrides, specifying which users to force into experiment groups.
Update Experiment Overrides Success
A simple string explaining the result of the operation.
A single result.
Was this page helpful?